Package org.springframework.security.access.annotation

# Class Jsr250SecurityConfig

java.lang.Object
org.springframework.security.access.SecurityConfig
org.springframework.security.access.annotation.Jsr250SecurityConfig

All Implemented Interfaces:
  `Serializable`, `ConfigAttribute`

@Deprecated public class Jsr250SecurityConfig extends SecurityConfig
Deprecated.
Use `AuthorizationManagerBeforeMethodInterceptor.jsr250()` instead
Security config applicable as a JSR 250 annotation attribute.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Jsr250SecurityConfig`
`DENY_ALL_ATTRIBUTE`
Deprecated.
`static final Jsr250SecurityConfig`
`PERMIT_ALL_ATTRIBUTE`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`Jsr250SecurityConfig(String role)`
Deprecated.

## Method Summary

### Methods inherited from class org.springframework.security.access.SecurityConfig

`createList, createListFromCommaDelimitedString, equals, getAttribute, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### PERMIT_ALL_ATTRIBUTE

public static final Jsr250SecurityConfig PERMIT_ALL_ATTRIBUTE
Deprecated.

### DENY_ALL_ATTRIBUTE

public static final Jsr250SecurityConfig DENY_ALL_ATTRIBUTE
Deprecated.

## Constructor Details

### Jsr250SecurityConfig

public Jsr250SecurityConfig(String role)
Deprecated.